﻿CREATE DATABASE my_website DEFAULT CHARACTER SET utf8;

USE my_website;

-- ユーザーテーブル

CREATE TABLE user(
id int(11) PRIMARY KEY AUTO_INCREMENT,
login_id varchar(256) NOT NULL,
password varchar(256) NOT NULL,
name varchar(256) NOT NULL,
birth_date date NOT NULL);


-- 購入テーブル

CREATE TABLE buy(
id int(11) PRIMARY KEY AUTO_INCREMENT,
user_id int(11) NOT NULL,
total_price int(11) NOT NULL,
delivery_method_id int(11) NOT NULL,
buy_date date NOT NULL);


-- 購入詳細テーブル

CREATE TABLE buy_detail(
id int(11) PRIMARY KEY AUTO_INCREMENT,
buy_id int(11) NOT NULL,
item_id int(11) NOT NULL);


-- 配送方法テーブル

CREATE TABLE delivery_method(
id int(11) PRIMARY KEY AUTO_INCREMENT,
name varchar(256) NOT NULL,
price int(11) NOT NULL);



-- 配送方法 データ登録

INSERT INTO delivery_method(id,name,price)VALUES
(1,'通常配送',0),
(2,'時間指定配送',300),
(3,'お急ぎ配送',500);



-- 商品テーブル
CREATE TABLE item(
id int(11) PRIMARY KEY AUTO_INCREMENT,
name varchar(256) NOT NULL,
detail longtext,
price int(11) NOT NULL,
file_name varchar(256) NOT NULL);



-- 商品説明 追加
INSERT INTO item(id,name,detail,price,file_name)VALUES

(1,'ONE PIECE','海賊王を夢見る少年モンキー・D・ルフィを主人公とする、「ひとつなぎの大秘宝（ワンピース）」を巡る海洋冒険ロマン。かつてこの世の全てを手に入れた男、〝海賊王〟ゴールド・ロジャー。彼が遺した「ひとつなぎの大秘宝（ワンピース）」をめぐり、幾多の海賊達が覇権を賭けて争う「大海賊時代」が到来した。「東の海（イーストブルー）」のフーシャ村に住む少年モンキー・D・ルフィは、村に滞在していた海賊〝赤髪のシャンクス〟と親しくなり、海賊への憧れを募らせる。ある日ルフィは「ゴムゴムの実」という悪魔の実を食べ、一生泳げない体になる代わりに、全身が伸び縮みするゴム人間となった。それからしばらくして、ルフィはシャンクスを貶める山賊たちから怒りを買い、海に投げ込まれてしまう。溺れかけ、巨大魚に食われそうになったルフィを、シャンクスは片腕を犠牲にして助け出した。ルフィは、村を去る間際のシャンクスからトレードマークの麦わら帽子を託され、将来立派な海賊になって再会することを約束する。',530,'comic1.jpg'),
(2,'進撃の巨人','巨人と人間との戦いを描いたダーク・ファンタジー。人類は突如出現した「巨人」により滅亡の淵に立たされた。生き残った人類は「ウォール・マリア」、「ウォール・ローゼ」、「ウォール・シーナ」という巨大な三重の城壁（甕城）の内側に生活圏を確保することで100年の間、辛うじてその命脈を保っていた。',450,'comic2.jpg');
(3,'鬼滅の刃','主人公・竈門炭治郎（かまどたんじろう）が、鬼に襲われ息絶えている家族の悲惨な姿を目の当たりにする衝撃の第1話。唯一生き残った妹・禰豆子は、鬼へと変貌してしまっていて。大切な妹を人間に戻すため、炭治郎が「鬼狩り」への道を突き進む物語。',530,'comic3.jpg');
(4,'約束のネバーランド','孤児院で育てられた子ども達が過酷な運命に抗っていく物語。色々な孤児が集まる「孤児院」・グレイス=フィールド（GF）ハウスは、院のシスターで「ママ」と慕われるイザベラのもとで、「きょうだいたち」にも血縁関係はないが、幸せに暮らしていた。ここでは、赤ん坊のころに預けられた子供を、特殊な勉強とテストにより育てあげ、6歳から12歳までの間に里親の元へと送り出す...と孤児たちは教えられていた。',530,'comic4.jpg');
(5,'ワールドトリガー','異世界からの侵略者・ネイバーと防衛組織・ボーダーの戦いを描くSFアクション。28万人が住む三門市に、ある日突然異世界への「門（ゲート）」が開いた。門からは「近界民（ネイバー）」と呼ばれる怪物が現れ、地球上の兵器が効かない怪物達の侵攻に誰もが恐怖したが、謎の一団が現れ近界民を撃退する。一団は界境防衛機関「ボーダー」を名乗り、近界民に対する防衛体制を整えた。結果、依然として門からは近界民が出現するにも関わらず、三門市の人々は今日も普通の生活を続けていた。門が初めて開いてから4年半が経過し、三門市にやってきた空閑遊真が、三雲修に出会う所から物語は始まる。',530,'comic5.jpg');
(6,'ハイキュー!!','高校バレーボールを題材にした日本の漫画作品。ある日偶然春高バレーのテレビ中継を見かけた小柄な少年・日向翔陽は、「小さな巨人」と呼ばれ躍動する地元・宮城県立烏野高校のエースに心奪われバレーボールを始める。低身長という身体的不利を補って有り余るほどの類稀なる運動神経とバネ、バレーへの情熱を持ち併せていた日向であったが、入学した中学校のバレー部に指導者どころか自分以外の部員がいないなど環境に恵まれず上達の機を逸していた。中学3年の夏、やっとのことでメンバーを集めて出場した最初で最後の公式戦で、日向率いる雪ヶ丘中は「コート上の王様」と呼ばれる天才セッター・影山飛雄擁する強豪・北川第一中に惨敗してしまう。影山に中学校での3年間を否定された日向は、影山へのリベンジを果たすべく憧れの烏野高校排球部に入部。晴れて迎えた部活動初日、体育館に入った日向の目の前には影山の姿があった。初めは反発し合っていた二人だが、それぞれの持ち味を生かした“トスを見ない”クイック攻撃、通称・「変人速攻」を編み出し、独りでは見ることのできない「頂の景色」を見るため、個性豊かな烏野高校の仲間たちと共に全国大会を目指すこととなった。',530,'comic6.jpg');
(7,'僕のヒーローアカデミア','「“無個性”」だった主人公が最高のヒーローを目指して成長していくヒーロー漫画作品。中学3年生時のある日、出久はヘドロ・ヴィランに襲われてオールマイトに救われる。出久はオールマイトに“個性”がなくてもヒーローになれるかを質問するが、オールマイトは突然目の前で痩せ衰えた姿トゥルーフォームになってしまう。オールマイトは約5年前に敵との戦いで重傷を負い、後遺症で“個性”の活動時間にも制限があるという秘密を明かすのだが、出久に“個性”があっても命懸けの職務であるヒーローを諦めるよう促す。その直後、出久はオールマイトから逃亡したヘドロ・ヴィランが、爆豪を人質にしている現場に遭遇する。この時、自らを顧みず爆豪をなりふり構わず救おうとする「ヒーローとしての素質」を示したことで、出久はオールマイトに「君はヒーローになれる」と認められる。そして出久は、オールマイトの“個性”であり、つまり他者に譲渡することが出来るワン・フォー・オールの後継者に指名される。',530,'comic7.jpg');
(8,'ゴールデンカムイ','日露戦争終結後のとある冬、元陸軍兵の杉元佐一は、幼馴染の梅子の眼病の治療費を得るため北海道で砂金を採っていたところ、アイヌが秘蔵していた金塊のことを知る。直後に杉元は冬眠明けのヒグマに襲われ、窮地をアイヌの少女・アシㇼパに救われる。作中より5年前、アシㇼパの父・ウイルクを含むアイヌを殺害し金塊を奪った男・のっぺら坊は、網走監獄の獄中から仲間に金塊の在処を伝えるべく、同房の囚人たちの体に金塊の隠し場所を示す入れ墨を彫り、脱獄させた。その「刺青人皮」は獣の皮のように剥がし、全てを集めて暗号を解く必要がある。杉元は治療費分を得ること、残りの金塊をアイヌの手に戻しウイルクの仇を討つことを条件に、アシㇼパと行動を共にすることになる。',530,'comic8.jpg');
(9,'HUNTER × HUNTER','主人公の少年・ゴン＝フリークスがまだ見ぬ父親のジンと会うため、父の職業であったハンターとなり、仲間達との絆を深めながら成長する様を描いた冒険活劇。くじら島に住む少年ゴン=フリークスは、幼少期に森でキツネグマに襲われている所をハンターの青年カイトに助けられた。ゴンはこの時、死んだと思われていた父親ジンが生きており、優秀なハンターとして活躍していることを知る。それをきっかけにハンターという職業に憧れを抱いたゴンは、ハンター試験の受験を希望。ジンを快く思っていない里親ミトの出した条件をクリアし、ハンター試験会場へと向かうべく故郷を旅立った。',530,'comic9.jpg');
(10,'ふたりソロキャンプ','独りを愛する孤高のキャンパー、樹乃倉巌はいつものようにソロキャンプを楽しんでいた。キャンプ後に帰ろうとすると、ひょんなところから超初心者キャンパー、草野雫と遭遇する。巌は嫌々ながらも、雫の師匠となり、ふたりでソロキャンプをやることになる。',530,'comic10.jpg');
(11,'喰う寝るふたり住むふたり','町田りつ子と野々山修一（のんちゃん）は交際10年、同棲8年目のアラサー・カップル。互いの事を知り尽くした仲とは言え、それでも擦れ違ってしまう2人。物語は、そんな2人に起こる些細な日常の擦れ違いを男女両方の視点からコミカルに描く。',530,'comic11.jpg');
(12,'同居人はひざ、時々頭の上','ミステリー作家の青年朏素晴は、両親の墓参りをしていた際に出会った野良猫から新作の着想を得て、その後も連載の参考とするために猫を家で飼い始める。素晴は、陽と名付けた猫が取る行動の意味を読み取るのに四苦八苦しつつも、陽との共同生活に楽しみを見出すようになる。一方、過酷な環境を生き抜いてきた陽も、自分に親切に接する素晴に心を開いていき、両者は少しずつ距離を近づけていく。',530,'comic12.jpg');
(13,'NARUTO','忍同士が超常的な能力「忍術」「体術」「幻術」「仙術」を駆使して派手な戦いを繰り広げるバトルアクション漫画。体内に九尾の妖狐を封印された落ちこぼれ忍者・うずまきナルトが里一番の忍である火影を目指し、仲間たちと共に数々の試練を乗り越え成長していく物語。',530,'comic13.jpg');
(14,'BLEACH','家族を守るために悪霊・虚（ホロウ）を退治する死神になってしまった高校生・黒崎一護とその仲間達の活躍を描く。霊感が強い高校生・黒崎一護は、悪霊退治に来た死神・朽木ルキアと出会う。最初は死神の存在を信じなかった一護だが、人の魂を喰らう悪霊・虚（ホロウ）に襲われたことでルキアを信じざるを得なくなる。家族が襲われたことに激昂し虚に立ち向かう一護だったが、普通の高校生が虚に敵うはずもなく、一護を庇ったルキアは重傷を負ってしまう。絶望的な状況下で、ルキアは最後の手段として一護に死神の力の一部を分け与えることを提案し、一護は死神となって虚を退治した。しかし、一護がルキアの予想以上に死神の力を吸い取ってしまった為、ルキアは死神としての力をほとんど失ってしまう。そこでルキアは、自身の力が回復するまで死神代行を務めるよう一護に迫る。一度は断る一護だが、家族を救ってもらった恩に報いるため、死神代行を引き受け、様々な騒動に巻き込まれていく。',530,'comic14.jpg');
(15,'アオアシ','愛媛県の公立中学の弱小サッカー部のFW・青井葦人は、個人技は拙いながらも、抜群のボールへの嗅覚と、フィールド上の俯瞰能力、サッカーへの情熱と上達の早さにより、「東京シティ・エスペリオンFC」ユースチーム監督の福田達也に見出され、ユースのセレクションを受けることになる。セレクションの最終試験では、昨年のセレクション合格者阿久津渚がいるユースチーム2軍との試合が行われるが、圧倒的な劣勢からアシトは一点を取り返す。セレクションで同じチームになった橘総一朗、大友栄作と共に合格したアシトは、ユースに入団して寮暮らしをすることになる。しかし、個人技が拙いだけでなく、個人戦術が全くできないアシトは、新入生紅白戦でチームのお荷物になってしまう。',530,'comic15.jpg');
(16,'ヒナまつり','若手ヤクザの新田の部屋に、突然楕円形の物体に包まれて超能力者であるヒナが現れる。新田は超能力を恐れヒナを家から追い出せずにいたが、ヒナがズボラで何も出来ない性格だと知りついつい世話を焼いてしまう。同時にヒナは自分の超能力を利用しようとしない新田を信頼していく。そんな中、新田の所属する暴力団の組長が襲われ、新田一人で相手の暴力団に殴り込むことになってしまう。新田が悩んでいると、ヒナが自ら協力を申し出る。新田は断ろうとしたが、ヒナは従わず敵の暴力団事務所を壊滅させた。新田は恩を感じ、正式にヒナと一緒に暮らすようになる。そうして、常識知らずの超能力者ヒナ、それに振り回されるヤクザ新田、そして周囲の人々のドタバタした結果オーライな日常が繰り広げられていく。',530,'comic16.jpg');
(17,'ボボボーボ・ボーボボ','マルハーゲ帝国に支配された西暦300X年の未来の地球を舞台に、マルハーゲ帝国の皇帝が自らの力を示すプロパガンダのために、人類を丸坊主にするべく結成した毛狩り隊から、人類の髪の毛の自由と平和を守るため、鼻毛真拳の使い手であるボボボーボ・ボーボボが戦う不条理ギャグバトル漫画である。',530,'comic17.jpg');
(18,'王様達のヴァイキング','2013年5月7日、浅草の取り壊し寸前のビデオ屋での“怪物”と“天使”の邂逅が、大航海の始まりだった。天涯孤独の天才ハッカー・是枝一希が、エンジェル投資家・坂井大輔に導かれ、数々のサイバー事件を解決していくうちに、信頼できる仲間を得て、才能を大きく開花させる、その成長の航跡を描く。',530,'comic18.jpg');
(19,'DINER','金に困ったごく普通の女性「オオバカナコ」は、ある裏社会の仕事に関わってしまったがために監禁され、殺し屋たちが通い詰める会員制ダイナー「キャンティーン」のウエイトレスをさせられることになる。カナコはそこでダイナーのシェフの「ボンベロ」や、殺し屋たちの人間模様に触れていくことになる。',530,'comic19.jpg');
(20,'プロミス・シンデレラ','平凡だけど夫と幸せな生活を送っていたヒロイン・早梅。ところがある日、全てが崩れ去ってしまう。信じていた夫が浮気。しかも「幸せにしたい女性がいる」と、彼の方から離婚を突きつけられた。たまらず家を飛び出した早梅だが、さらに受難は続き…。手持ちの現金30万をスリに取られてしまいます。途方に暮れた早梅に手を差し伸べてくれたのは、ひねくれ者の高校生・壱成。不安にかられながら連れてこられた先は立派なお屋敷。早梅を泊める条件として、壱成から突きつけられたのはリアル人生ゲーム…！',530,'comic20.jpg');
(21,'よふかしのうた','不眠が続く中2・夜守コウは、ひとり外に出た夜、美しい吸血鬼・七草ナズナに出会う。「今日に満足できるまで、夜ふかししてみろよ。少年」彼女とのふたりきりの夜ふかしがコウの運命を大きくかえていく。ふたり、たのし、夜ふかしラブストーリー開幕！',530,'comic21.jpg');
(22,'ばらかもん','書道家の半田清舟は、ある受賞パーティーで自作を酷評した書道展示館の館長を感情に任せて殴りつけてしまう。見かねた父親は半田に「（自分の）人間として欠けている部分」を見つけさせるため、彼を自然豊かな五島へと送り込む。内心では反省する気のない半田だったが、天真爛漫少女・琴石なるをはじめとする個性的な島民達と出会い、少しずつ心を動かされる。都会の温室で育った半田は耐性の無い田舎の環境や島独特の人間関係に戸惑いながらも、島民たちに助けられ励まされ挫折を繰り返しながら新たな書の境地を拓いていく。初めて出会った自然の世界やお互いに助け合う気持ち、それは型に嵌っていた半田の書、そして半田自身の心も少しずつ成長させていた。自信を取り戻した半田は書展出品のため東京へと戻り、かつてパーティーで殴りつけた館長に謝罪。館長に書道家としても人としても成長したことを認められ、暴行事件は水に流すこととなった。島へ戻る理由を失い都会暮らしに戻る選択肢を与えられた半田だったが、島送りに猛反対する母をよそに都会では島で書けていた自由な文字が書けないことに気付く。父親に背中を押されたことや、なによりも島で半田の帰りを待つなる達の言葉を聞き、半田は島での生活に戻ることを決意する。愉快な五島の住民たちに翻弄されながらも、再び書の新境地を求める日々を送るのだった。',530,'comic22.jpg');
(23,'DRAGON BALL','世界中に散らばった七つの球をすべて集めると、どんな願いも一つだけ叶えられるという秘宝・ドラゴンボールと、主人公・孫悟空（そん・ごくう）を中心に展開する「冒険」「夢」「バトル」「友情」などを描いた長編漫画。地球の人里離れた山奥に住む尻尾の生えた少年・孫悟空はある日、西の都からやって来た少女ブルマと出会う。そこで、7つ集めると神龍（シェンロン）が現れ、どんな願いでも一つだけ叶えてくれるというドラゴンボールの存在を、さらに育ての親である孫悟飯の形見として大切に持っていた球がその1つ「四星球（スーシンチュウ）」であることを知り、ブルマと共に残りのドラゴンボールを探す旅に出る。',530,'comic23.jpg');
(24,'ミステリと言う勿れ','主人公・久能が様々な事件に巻き込まれることで展開が進んでいきます。彼のただの大学生とは思えないその知識量と洞察力で、事件や謎が解明されていくのが特徴的です。全く関係ないような通説や雑学の中に、解明のヒントが隠されていて「そういうことか！」と唸ってしまうこと間違いなしです。そして最後には想像もできなかったような、思いもよらない結末が待ち受けています。',530,'comic24.jpg');
(25,'ブルー・ピリオド','友人たちと朝まで遊んだりして、楽しい高校生活を過ごしている2年生の矢口八虎。それでいて学校では成績優秀。何事もそつなくこなせるからこそ、生きる目標を定められなかった彼が、偶然見出したのが美術の世界でした。上級生が描いた1枚の絵をきっかけに絵を描くようになり、やがて、最難関の東京藝大油画科入学を目指して、本格的に勉強を始めていきます。学校の美術部から、美大受験の予備校へと通い始めた彼が、個性溢れる受験生たちと出会い、触発されながらも前へ進んでいくストーリーです。',530,'comic25.jpg');
(26,'BLUEGIANT','宮城県仙台市に住む高校生・宮本大はまっすぐな性格の持ち主だが、将来なにをしたいのか分からず学生生活を送っていた。ある日聞いたジャズの曲に興味をひかれ、初めてのライブハウスでのジャズ演奏を目の当たりにしたことで、サックスプレーヤーを目指すことを決意。サックス購入のためアルバイトを続けるも、なかなか貯まらなかったが、それを知った兄・雅之がローンでサックスを購入し大にプレゼントする。毎日学校帰りに河原でサックスを練習し続けた大は、リード購入の際に立ち寄ったことで知り合った楽器屋の店主からライブ出演の誘いが来る。小さなジャズ・バーの出演バンドにゲストという形で披露するが、常連客から音が大きいだけでうるさいと罵声を浴びられ、呆然としたままステージを降り帰路につく。その後も日課である練習を続けるなか、大が出演したジャズ・バーのマスターから音楽教室の講師：由井を紹介される。大の演奏に、いろいろ落第点をつけるも、次回から家に来いと誘われ大は快諾。教室に通うことで大の演奏はパワフルさを増しながらも、繊細な部分も向上していった。サックスプレーヤーになるために高校卒業後は上京することを決意。上京する前に最初のステージにて罵声を放ったジャズバーの常連客を招いて、今の自分の演奏を聴かる。常連客はしかめ面をしながらも最後まで演奏を聴いて店を出た。',530,'comic26.jpg');
(27,'甘々と稲妻','半年前に妻を亡くした高校教師犬塚公平は、男手ひとつで幼稚園に通っている幼い娘つむぎを育てていたが、料理がほとんどできないため、コンビニ弁当での食事や外食ばかりの日々を送っていた。ある日、つむぎと出かけたお花見で、母にドタキャンされ泣きながらお弁当を食べていた女子高生・飯田小鳥と出会う。彼女との出会いを経て、つむぎにまともな食事を食べさせてやりたいという想いに駆られた公平は、小鳥の母が経営する料理屋「恵」を訪ねる。そこで、小鳥と一緒に炊いた土鍋のご飯をきっかけとして、3人で定期的に料理をするようになり、料理の楽しみに目覚めていく。',530,'comic27.jpg');
(28,'僕だけがいない街','売れない漫画家・藤沼悟は、「再上映（リバイバル）」と呼んでいる特殊能力を持っていた。リバイバルは自分の意思とは関係なく発動し、直後に起きる「悪いこと（事件・事故など）」の原因が取り除かれるまで、その直前の場面に何度もタイムリープしてしまうというものだった。能力が発動しても周囲で起きるトラブルが回避されるだけで、大半は悟にとってプラスにならない結果となるため、能力に不満を持ちながら、ピザ屋のアルバイトをこなす日々を過ごしていた。ある日、ピザの配達中に起きたリバイバルの結果、児童が交通事故に遭うことを未然に防いだ悟は、代わりに自身が車にはねられ二日間入院することになる。これを機会に、見舞いに来たピザ屋の同僚・愛梨と親しくなり、また事故の知らせを受け上京した母親・佐知子がアパートで共に暮らし始めることになる。後日、佐知子との買い物中にリバイバルが発生、このとき子連れの男と目を合わせたことで佐知子は誘拐が未然に防がれたことを確信する。佐知子はその翌日、1988年に北海道で起きた連続誘拐殺人事件の真犯人と同一人物であることにも気付くが、悟に伝える前に何者かに殺害される。悟はアパートで遺体を発見後、リバイバルで佐知子の殺害を阻止しようと強く念じたところ、それまで経験したことがない長期間のタイムリープにより1988年に戻ることになる。',530,'comic28.jpg');
(29,'東京喰種','人間の姿を持ちながら、人間を食す「喰種（グール）」という特殊な存在が軸となる物語です。 強靭な肉体と特殊な能力を持ち、人間を捕食する喰種。 食う者と食われる者が存在する世界を、喰種を巡る事件に巻き込まれた少年を主人公に描き出します。',530,'comic29.jpg');
(30,'銀の匙','舞台は北海道の「大蝦夷農業高等学校（エゾノー）」。主人公の八軒勇吾は札幌の私立中学に通っていたが受験に失敗し、学力競争と父から逃れるため恩師の勧めもあり大蝦夷農業高等学校に進学する。農業未経験者の八軒は仲間たちと汗と涙と泥にまみれ、農業の厳しい現実にぶつかりながらも成長していく。',530,'comic30.jpg');


-- ユーザーデータ登録
INSERT INTO user(login_id,password,name,birth_date)VALUES
('kohei','password','大野耕平','1996-02-21');

-- ログイン時 ユーザー情報チェック SQL
SELECT * FROM user WHERE login_id='kohei' and password='password';

INSERT INTO user(login_id,password,name,birth_date)VALUES
('aaa','password','ユーザー1','2020-01-01');

select * from user where login_id='kohei';

select * from user where id=2;

select * from user where login_id='kohei'and password='password';



INSERT INTO cart_list(item_id,user_id)VALUES
(6,2);

INSERT INTO favorite_list(item_id,user_id)VALUES
(4,2);


-- お気に入りリスト検索
SELECT * FROM favorite_list
JOIN item
ON favorite_list.item_id = item.id
WHERE user_id=2;


-- カートリスト検索
SELECT * FROM cart_list
JOIN item
ON cart_list.item_id = item.id
WHERE user_id=2;



-- ユーザー情報更新、修正
UPDATE user SET password='pass',name='大野' WHERE id=1;


DELETE FROM user WHERE id >= 5 AND id <= 9;


-- ホーム画面でランダムに商品を4件取得
SELECT * FROM item ORDER BY RAND() LIMIT 4;


-- 商品全検索
select * from item;

-- 部分一致検索
SELECT * FROM item WHERE name LIKE '%約束%';

-- 検索結果の数
select count(*) as cnt from item where name like '約束のネバーランド';

-- 配送方法指定
SELECT * FROM delivery_method;

-- 配送方法をidをもとに取得
SELECT * FROM delivery_method WHERE id = 3;

-- 購入情報登録
INSERT INTO buy(user_id,total_price,delivery_method_id,buy_date) VALUES(1,2000,1,'2020-09-18');

-- 購入情報詳細登録
INSERT INTO buy_detail(buy_id,item_id) VALUES(1,1);

-- 購入idをもとに購入情報を検索
SELECT * FROM buy
JOIN delivery_method
ON buy.delivery_method_id = delivery_method.id
WHERE buy.id = 19;


-- 購入idをもとに購入詳細情報を検索
SELECT item.id,
item.name,
item.price
FROM buy_detail
JOIN item
ON buy_detail.item_id = item.id
WHERE buy_detail.buy_id = 1;


-- ユーザーごとの購入履歴
SELECT * FROM buy
JOIN delivery_method
ON buy.delivery_method_id = delivery_method.id
WHERE buy.user_id = 1;


-- 購入idをもとに購入履歴詳細の表示
SELECT item.id,
item.name,
item.price,
item.file_name
FROM buy_detail
JOIN item
ON buy_detail.item_id = item.id
WHERE buy_detail.buy_id = 3;
